function makepretty(objecthandle)
%
% Syntax: makepretty(objecthandle);
%
% Where objecthandle is the figure handle or axis handle
% Sets a figure to my favorite aesthetic qualities
% May 2020
% Jessie Turner
%

% If a figure handle is specified, use it, otherwise use the current fig. 
switch nargin
    case 0
        ax = gca;
    case 1
        ax = objecthandle;
end

% Set general figure properties to bolded lines and longer ticks
ax.FontSize = 16;
ax.LineWidth = 1.5;
ax.XMinorTick = 'on';
ax.YMinorTick = 'on';
ax.TickLength = [0.02 0.05];
ax.TitleFontWeight = 'normal';
ax.Box = 'on';
ax.TickDir = 'in';
ax.XGrid = 'on';
ax.YGrid = 'on';

% If there is a Z axis...
if ~isempty(ax.ZAxis)
    ax.ZMinorTick = 'on';
end

% If there is a legend, make it pretty...
if ~isempty(ax.Legend)
    ll = get(gca,'legend');
    ll.FontSize = 16;
    ll.Box = 'off';
    ll.Location = 'best';
end

end